# Extracts all skype version that can be found in local directory.
# Example: Skype-8.29.0.50.exe

$files = Get-ChildItem | Where-Object { $_.Name -match "^Skype-(?<version>\d+\.\d+\.\d+\.\d+)\.exe$" }
$files | Foreach-Object {
    if ($_.Name -match "(?<version>\d+\.\d+\.\d+\.\d+)") {
        if(!(Test-Path -Path $Matches.version)) {
            $current_dir = Resolve-Path .\
            if (Test-Path -Path $current_dir\innounp.exe) {
                # Extract the setup
                & $current_dir\innounp.exe -x -m -d".\$($Matches.version)\x86" "Skype-$($Matches.version).exe"
            }
            else {
                echo "Cannot find $current_dir\innounp.exe"
            }
        }
        else {
            echo "Directory exists $($Matches.version)"
        }
    }
}
